Get the internal talent mobility report.
This report generates a zip file containing the following files:
dim_employee.csv: A list of all Employees in the system, containing their external IDs and Custom Properties provided inemployee_columns.fact_employee_property.csv: A list of Custom Property mappings containing external IDs of the Employee, Custom Property name and Custom Property value for all the Custom Properties provided inemployee_properties.dim_vacancy.csv: A list of all Vacancies in the system, containing external IDs and Custom Properties provided invacancy_columns.fact_vacancy_property.csv: A list of Custom Property mappings containing external IDs of the Vacancy, Custom Property name and Custom Property value for all Custom Properties provided invacancy_properties.fact_vacancy_skill.csv: Contains a list of all Vacancy external ID-Skill pairs.fact_match_skill.csv: Contains the match score for every Skill for all Employee-Vacancy pairs.dim_skill.csv: A list of all Skills referred to in the files above containing the external IDs, the name and the description.fact_match.csv: Contains the match score of all Employee-Vacancy pairs.
Documentation Index
Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.
Body
Filters for the Skill inventory report.
The max number of Employees that will be matched for each Vacancy.
1 <= x <= 10050
The Custom Property columns that will be included in the dim_employee.csv file.
The Custom Properties that will be included in the fact_employee_properties.csv file.
The Custom Property columns that will be included in the dim_vacancy.csv file.
The Custom Properties that will be included in the fact_vacancy_property.csv file.
Response
OK.
The response is of type file.